# Gmagick::setimageresolution

(PECL gmagick >= Unknown)

Gmagick::setimageresolution — Sets the image resolution

### Description

public Gmagick::setimageresolution ( float `$xResolution` , float `$yResolution` ) : Gmagick

Sets the image resolution.

### Parameters

`xResolution`

  The image x resolution.

`yResolution`

  The image y resolution.

### Return Values

The Gmagick object on success.

### Errors/Exceptions

Throws an GmagickException on error.